#include "KinectImagePlugin.h"

#include "ritkDebugManager.h"
#include "ritkRImageIOManager.h"
#include "ritkCudaContext.h"


//----------------------------------------------------------------------------
KinectImagePlugin::KinectImagePlugin()
{
	// We need to initialize the CUDA context
	ritk::CudaContext::GetInstance();

	// Create the IO object
	m_KinectImageIO = KinectImageIOF2::New();

	std::cout << "Kinect image plugin created..." << std::endl;
}


//----------------------------------------------------------------------------
KinectImagePlugin::~KinectImagePlugin()
{
	m_KinectImageIO = NULL;
}


//----------------------------------------------------------------------------
ritk::RImageIOManagerF2::RImageIOBaseType::Pointer
KinectImagePlugin::GetIOObject()
{
	return (ritk::RImageIOManagerF2::RImageIOBaseType*)m_KinectImageIO;
}
